package betterwithmods.client.model;

import betterwithmods.common.blocks.tile.TileEntityTurntable;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.ResourceLocation;

public class TESRTurntable extends TileEntitySpecialRenderer<TileEntityTurntable> {
    private ModelTurntableKnob knob;
    private int position = 0;

    @Override
    public void func_192841_a(TileEntityTurntable te, double x, double y, double z, float partialTicks, int destroyStage, float alpha) {
        if (position != te.getTimerPos()) {
            position = te.getTimerPos();
            knob = new ModelTurntableKnob(position);
        } else if (knob == null)
            knob = new ModelTurntableKnob(position);
        GlStateManager.func_179094_E();
        GlStateManager.func_179137_b(x + 0.5D, y + 0.5D, z + 0.5D);
        this.func_147499_a(new ResourceLocation("minecraft", "textures/blocks/planks_oak.png"));
        knob.render(0.0625F);
        GlStateManager.func_179121_F();
    }

}
