package betterwithmods.common.blocks;

import net.minecraft.block.Block;
import net.minecraft.client.resources.I18n;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.nbt.NBTTagList;
import net.minecraft.world.World;

import javax.annotation.Nullable;
import java.util.ArrayList;
import java.util.List;

public class ItemBlockMeta extends ItemBlock {
    public ItemBlockMeta(Block block) {
        super(block);
        this.func_77656_e(0).func_77627_a(true);
    }

    @Override
    public int func_77647_b(int meta) {
        return meta;
    }

    @Override
    public String func_77667_c(ItemStack stack) {
        return super.func_77658_a() + "." + stack.func_77952_i();
    }


    @Override
    public void func_77624_a(ItemStack stack, @Nullable World worldIn, List<String> tooltip, ITooltipFlag flagIn) {
        super.func_77624_a(stack, worldIn, tooltip, flagIn);

        if (stack.func_77942_o()) {
            if (stack.func_77978_p().func_74764_b("Items")) {
                NBTTagList list = stack.func_77978_p().func_150295_c("Items", 10);
                List<String> items = new ArrayList<>();
                items.add(I18n.func_135052_a("bwm.item.containment"));
                for (int i = 0; i < list.func_74745_c() && items.size() < 4; i++) {
                    NBTTagCompound tag = list.func_150305_b(i);
                    ItemStack s = new ItemStack(tag);
                    if (!s.func_190926_b())
                        items.add(s.func_190916_E() + "x " + s.func_82833_r());
                    if (items.size() == 4 && list.func_74745_c() > 3)
                        items.add("...");
                }
                tooltip.addAll(items);
            }
        }
    }
}
